unit yatc_Debug;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids;

type
  TdebugForm = class(TForm)
    grid: TStringGrid;
    script_debug: TMemo;
    debug_timer: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    procedure debug_timerClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  debugForm: TdebugForm;

implementation

uses yatc_main, yatc_score;

{$R *.dfm}

procedure TdebugForm.debug_timerClick(Sender: TObject);

begin
  form1.player1.timer.enabled := not form1.player1.timer.enabled; //falltimer Umschalten;
  score_form.cheat := true; //debug_cheat melden
end;

procedure TdebugForm.Button1Click(Sender: TObject);

begin
  form1.menuDebugOff.Checked := true;
  visible := false;
end;

procedure TdebugForm.FormHide(Sender: TObject);

begin
  form1.menuDebugOff.Checked := true;
end;

end.
